##  for Mageia 9  ##

# turn off debuginfo package
%define debug_package %{nil}

Name:    fcitx5-gtk
Summary: Gtk im module for Fcitx5 and glib based dbus client library
Version: 5.1.3
Release: 1.np9
License: LGPL-2.1-or-later 
Group:   System/Internationalization 
Url:     https://github.com/fcitx/fcitx5-gtk
Source:  https://download.fcitx-im.org/fcitx5/%{name}/%{name}-%{version}.tar.zst

BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: gcc-c++
BuildRequires: fcitx5-devel
BuildRequires: gtk+2-devel
BuildRequires: gtk+3-devel
BuildRequires: gtk4-devel
BuildRequires: glib2-devel
BuildRequires: %{_lib}xkbcommon-devel
BuildRequires: %{_lib}girepository-devel

Requires: fcitx5

%description
This package provide Fcitx5 GClient libraries.

# ---------------------------------------------------------------

%package gir
Summary: GObject Introspection interface description for Fcitx5
Group: System/Libraries
Requires: %{name} = %{version}-%{release}

%description gir
GObject Introspection interface description for Fcitx5.

# ---------------------------------------------------------------

%package devel
Summary: Development files for %{name}
Group: Development/C
Requires: %{name} = %{version}-%{release}
Requires: %{name}-gir = %{version}-%{release}
Requires: fcitx5-devel

%description devel
Development files for fcitx5-gtk.

# ---------------------------------------------------------------

%package -n fcitx5-gtk2
Summary:  Fcitx5 gtk module for gtk2
Requires: %{name} = %{version}-%{release}

%description -n fcitx5-gtk2
This package provide Fcitx5 gtk module for gtk2.

# ---------------------------------------------------------------

%package -n fcitx5-gtk3
Summary:  Fcitx5 gtk module for gtk3
Requires: %{name} = %{version}-%{release}

%description -n fcitx5-gtk3
This package provide Fcitx5 gtk module for gtk3.

# ---------------------------------------------------------------

%package -n fcitx5-gtk4
Summary:  Fcitx5 gtk module for gtk4
Requires: %{name} = %{version}-%{release}

%description -n fcitx5-gtk4
This package provide Fcitx5 gtk module for gtk4.

# ---------------------------------------------------------------

%prep
%setup -q


%build
%cmake
%cmake_build


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install


%files
%license LICENSES/LGPL-2.1-or-later.txt
%doc README.md 
%{_libdir}/libFcitx5GClient.so.5.*
%{_libdir}/libFcitx5GClient.so.2

%files gir
%{_libdir}/girepository-1.0/FcitxG-1.0.typelib
%{_datadir}/gir-1.0/

%files devel
%{_includedir}/Fcitx5/GClient/
%{_libdir}/cmake/Fcitx5GClient
%{_libdir}/libFcitx5GClient.so
%{_libdir}/pkgconfig/Fcitx5GClient.pc

%files -n fcitx5-gtk2
%{_bindir}/fcitx5-gtk2-immodule-probing
%{_libdir}/gtk-2.0/*/immodules/im-fcitx5.so

%files -n fcitx5-gtk3
%{_bindir}/fcitx5-gtk3-immodule-probing
%{_libdir}/gtk-3.0/*/immodules/im-fcitx5.so

%files -n fcitx5-gtk4
%{_bindir}/fcitx5-gtk4-immodule-probing
%{_libdir}/gtk-4.0/*/immodules/libim-fcitx5.so


%changelog
* Tue Apr 23 2024 tomcat <> 5.1.3-1.np9
- 5.1.3

* Fri Mar 01 2024 tomcat <> 5.1.2-1.np9
- 5.1.2

* Sat Jan 06 2024 tomcat <> 5.1.1-1.np9
- 5.1.1

* Fri Aug 18 2023 tomcat <> 5.1.0-1.np9
- 5.1.0
- update %%files fcitx5-gtk2, fcitx5-gtk3, fcitx5-gtk4

* Mon Apr 24 2023 tomcat <> 5.0.23-1.np9
- 5.0.23

* Sun Feb 26 2023 tomcat <> 5.0.21-2.np9
- build for Mageia 9
- support gtk4

* Fri Nov 25 2022 tomcat <> 5.0.21-1.nora8
- 5.0.21

* Tue Nov 22 2022 tomcat <> 5.0.20-1.nora8
- 5.0.20

* Sun Nov 20 2022 tomcat <> 5.0.19-1.nora8
- 5.0.19
- build with fcitx5-5.0.20

* Tue Aug 30 2022 tomcat <> 5.0.18-1.nora8
- 5.0.18

* Thu Aug 04 2022 tomcat <> 5.0.17-1.nora8
- 5.0.17

* Wed Jul 06 2022 tomcat <> 5.0.16-1.nora8
- 5.0.16

* Thu Jun 02 2022 tomcat <> 5.0.15-1.nora8
- 5.0.15

* Mon May 23 2022 tomcat <> 5.0.14-1.nora8
- 5.0.14

* Thu Mar 10 2022 tomcat <> 5.0.13-1.nora8
- 5.0.13

* Thu Feb 03 2022 tomcat <> 5.0.12-1.nora8
- 5.0.12

* Sun Jan 02 2022 tomcat <> 5.0.11-1.nora8
- 5.0.11

* Sun Dec 05 2021 tomcat <> 5.0.10-1.nora8
- 5.0.10

* Sat Nov 06 2021 tomcat <> 5.0.9-1.nora8
- 5.0.9
- now do NOT support gtk4
   fcitx5-gtk-5.0.9 require gtk4 >= 4.2, but Mageia's package has version '4.1.0'.

* Sun Sep 26 2021 tomcat <> 5.0.8-1.nora8
- 5.0.8

* Thu May 06 2021 tomcat <> 5.0.7-1.nora8
- 5.0.7

* Tue Mar 23 2021 tomcat <> 5.0.6-1.nora8
- 5.0.6

* Mon Mar 22 2021 tomcat <> 5.0.5-1.nora8
- 5.0.5

* Fri Feb 19 2021 tomcat <> 5.0.4-1.nora8
- 5.0.4
- update %%files

* Wed Jan 27 2021 tomcat <> 5.0.3-1.nora8
- build for Mageia 8
